create trigger update_commandes on commandes
after update
as
if update (etat)
  begin
    declare @etat as char(2)
    declare @numero as int
    select @etat=etat, @numero=numero
      from inserted
    if (@etat='LI')
      insert into histo_fac(numero_cde, date_fac)
        values(@numero, getdate())
  end;
  

create trigger ins_cde_date on commandes
AFTER insert
as
BEGIN

  SET NOCOUNT ON;
  declare @numero int
  select @numero=numero from inserted
  -- la date de commande est la date du jur
  update commande set date_cde=getdate() where numero=@numero
END;

create trigger ins_cde_taux on commandes
AFTER insert
as
BEGIN
  SET NOCOUNT ON
  declare @numero int
  declare @nombre_commandes int
  select @numero=numero from inserted
  -- compter le nombre de commandes pour ce client
  select @nombre_commandes=count(*)
  from commandes, inserted
  where commandes.client=inserted.client
  -- remise de 5%  partir de 10 commandes
  if @nombre_commandes>10
    update commandes set taux_remise=5 where numero=@numero
end;

exec sp_helptrigger 'dbo.commandes';


exec sp_settriggerorder 'ins_cde_taux','FIRST','INSERT'
exec sp_settriggerorder 'ins_cde_date','LAST','INSERT'